PortletsIdManager (Custom Portal Handler 1.8.0-3.10.0 API)
Date: 2016-02-09

org.gcube.portal.custom.communitymanager

## Class PortletsIdManager

- java.lang.Object
- - org.gcube.portal.custom.communitymanager.PortletsIdManager

-     public final class PortletsIdManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCOUNTING_NODES`
    `static String` | `ACCOUNTING_PORTAL`
    `static String` | `ACCOUNTING_SERVICES`
    `static String` | `ANNOTATION`
    `static String` | `COLLECTIONS_NAVIGATOR`
    `static String` | `GCUBE_ADD_USERS_MANAGE`
    `static String` | `GCUBE_LOGGEDIN`
    `static String` | `GCUBE_LOGIN`
    `static String` | `GCUBE_ROLES_MANAGE`
    `static String` | `GCUBE_USERS_MANAGE`
    `static String` | `INFORMATION_SPACE_EDITOR`
    `static String` | `LR_ACTIVITIES`
    `static String` | `LR_CALENDAR`
    `static String` | `LR_LOGIN`
    `static String` | `LR_NAVIGATION`
    `static String` | `LR_VELOCITY`
    `static String` | `LR_WEBCONTENT_DISPLAY`
    `static String` | `MONITORING_ECOSYSTEM`
    `static String` | `REPORT_GENERATOR`
    `static String` | `REPORT_TEMPLATE_CREATOR`
    `static String` | `RESOURCES_MANAGEMENT`
    `static String` | `RESULTS_BROWSING`
    `static String` | `SEARCH_UI`
    `static String` | `TIME_SERIES_MANAGER`
    `static String` | `VRE_DEFINITION`
    `static String` | `VRE_DEPLOYER`
    `static String` | `VRE_DEPLOYMENT`
    `static String` | `WORKSPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortletsIdManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getLRPortletId(String gCubePorletName)` return the portlet name for Liferay

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GCUBE_LOGIN

          public static final String GCUBE_LOGIN

      See Also:
        Constant Field Values

    - #### GCUBE_LOGGEDIN

          public static final String GCUBE_LOGGEDIN

      See Also:
        Constant Field Values

    - #### GCUBE_USERS_MANAGE

          public static final String GCUBE_USERS_MANAGE

      See Also:
        Constant Field Values

    - #### GCUBE_ADD_USERS_MANAGE

          public static final String GCUBE_ADD_USERS_MANAGE

      See Also:
        Constant Field Values

    - #### ACCOUNTING_PORTAL

          public static final String ACCOUNTING_PORTAL

      See Also:
        Constant Field Values

    - #### ACCOUNTING_NODES

          public static final String ACCOUNTING_NODES

      See Also:
        Constant Field Values

    - #### ACCOUNTING_SERVICES

          public static final String ACCOUNTING_SERVICES

      See Also:
        Constant Field Values

    - #### MONITORING_ECOSYSTEM

          public static final String MONITORING_ECOSYSTEM

      See Also:
        Constant Field Values

    - #### GCUBE_ROLES_MANAGE

          public static final String GCUBE_ROLES_MANAGE

      See Also:
        Constant Field Values

    - #### TIME_SERIES_MANAGER

          public static final String TIME_SERIES_MANAGER

      See Also:
        Constant Field Values

    - #### WORKSPACE

          public static final String WORKSPACE

      See Also:
        Constant Field Values

    - #### INFORMATION_SPACE_EDITOR

          public static final String INFORMATION_SPACE_EDITOR

      See Also:
        Constant Field Values

    - #### RESULTS_BROWSING

          public static final String RESULTS_BROWSING

      See Also:
        Constant Field Values

    - #### RESOURCES_MANAGEMENT

          public static final String RESOURCES_MANAGEMENT

      See Also:
        Constant Field Values

    - #### COLLECTIONS_NAVIGATOR

          public static final String COLLECTIONS_NAVIGATOR

      See Also:
        Constant Field Values

    - #### SEARCH_UI

          public static final String SEARCH_UI

      See Also:
        Constant Field Values

    - #### ANNOTATION

          public static final String ANNOTATION

      See Also:
        Constant Field Values

    - #### REPORT_GENERATOR

          public static final String REPORT_GENERATOR

      See Also:
        Constant Field Values

    - #### REPORT_TEMPLATE_CREATOR

          public static final String REPORT_TEMPLATE_CREATOR

      See Also:
        Constant Field Values

    - #### LR_NAVIGATION

          public static final String LR_NAVIGATION

      See Also:
        Constant Field Values

    - #### LR_LOGIN

          public static final String LR_LOGIN

      See Also:
        Constant Field Values

    - #### LR_VELOCITY

          public static final String LR_VELOCITY

      See Also:
        Constant Field Values

    - #### LR_WEBCONTENT_DISPLAY

          public static final String LR_WEBCONTENT_DISPLAY

      See Also:
        Constant Field Values

    - #### LR_CALENDAR

          public static final String LR_CALENDAR

      See Also:
        Constant Field Values

    - #### LR_ACTIVITIES

          public static final String LR_ACTIVITIES

      See Also:
        Constant Field Values

    - #### VRE_DEFINITION

          public static final String VRE_DEFINITION

      See Also:
        Constant Field Values

    - #### VRE_DEPLOYER

          public static final String VRE_DEPLOYER

      See Also:
        Constant Field Values

    - #### VRE_DEPLOYMENT

          public static final String VRE_DEPLOYMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PortletsIdManager

          public PortletsIdManager()

  - ### Method Detail

    - #### getLRPortletId

          public static String getLRPortletId(String gCubePorletName)

      return the portlet name for Liferay
      Returns:
        the liferay portlet id for a LR layout

Copyright © 2016. All Rights Reserved.